#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Format
Summary:	HTML::Formatter - base class for HTML formatters
Summary(pl.UTF-8):	HTML::Formatter - bazowa klasa dla klas formatujących HTML
Name:		perl-HTML-Format
Version:	2.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	34831ec506eaa8a7ad5da698224cf58d
URL:		http://search.cpan.org/dist/HTML-Format/
BuildRequires:	perl-Module-Build >= 0.3601
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-File-Slurp
BuildRequires:	perl-Font-AFM
BuildRequires:	perl-HTML-Element-Extended
BuildRequires:	perl-HTML-Tree >= 3.15
BuildRequires:	perl-Test-Simple >= 0.96
%endif
Requires:	perl-Font-AFM
Requires:	perl-HTML-Tree >= 3.15
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	'perl(UNIVERSAL)'

%description
HTML formatters are able to format a HTML syntax tree into various
printable formats. Different formatters produce output for different
output media. Common for all formatters are that they will return the
formatted output when the format() method is called. Format() takes a
HTML::Element as parameter.

%description -l pl.UTF-8
Klasy formatujące HTML mogą sformatować drzewo składni HTML do różnych
drukowalnych formatów. Różne klasy formatujące dają wyjście dla
różnych mediów. Wspólne dla wszystkich klas formatujących jest to, że
zwracają sformatowane wyjście po wywołaniu metody format(). format()
przyjmuje HTML::Element jako parametr.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTML/Format*.pm
%{_mandir}/man3/HTML::Format*.3pm*
%changelog
* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> c1d206b
- added generic URL
- completed BRs for tests (use --without tests for HTML-Tree/HTML-Format bootstrap)

* Thu Aug 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a4a5a81
- up to 2.10

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 250ba8c
- release 2

* Tue Apr 10 2007 qrczak <qrczak@pld-linux.org> 727cf96
- perl-Font-AFM is needed for tests.

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 22bde91
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1848d7d
- converted to UTF-8

* Fri Jul 28 2006 wrobell <wrobell@pld-linux.org> d16caaf
- required only with tests

* Fri Jul 28 2006 wrobell <wrobell@pld-linux.org> d77be77
- fixed build requirements

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 9c97942
- formatting

* Wed Jun 02 2004 Adam Gołębiowski <adamg@pld-linux.org> 45ab782
- updated to 2.04

* Fri May 07 2004 ankry <ankry@pld-linux.org> 742f1df
- rel. 5

* Thu May 06 2004 ankry <ankry@pld-linux.org> c301219
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 01781fa
- tests added

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 7e5e592
- license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> 1017bce
- cosmetics, unifications

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 90f9e66
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 54fa46f
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> f1b7bb2
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> f3ac764
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Apr 15 2003 ankry <ankry@pld-linux.org> 946d16b
- rel++ (to be higher than in RA-branch)

